/* Terraform - (C) 1997-2000 Robert Gasch (r.gasch@chello.nl)
 *  - http://212.187.12.197/RNG/terraform/
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef _MATH_GAUSS_H
#define _MATH_GAUSS_H


#include "MathRandom.h"


/*
 *  MathGauss: normal, scaled random + gaussian random
 */
class MathGauss : public MathRandom
	{
	public: 

				MathGauss (int seed=-1);
				//~MathGauss ();
		double 		gauss (float floor=0.0, float ceil=1.0);

	private:
		double		rndGauss ();
		void		init ();

		static const int	s_gaussNRand;
		static const double	s_maxRand;
		static double		s_gaussAdd,
					s_gaussFac;
	};

#endif // _MATH_GAUSS_H
