/* Terraform - (C) 1997-2000 Robert Gasch (r.gasch@chello.nl)
 *  - http://212.187.12.197/RNG/terraform/
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef _TF_CLIST_MAIN_WIN_H
#define _TF_CLIST_MAIN_WIN_H 1


#include "GuiDialogOAC.h"
#include "GuiDialogYN.h"
#include "GuiDialogAbout.h"
#include "TFWindowBase.h"


/*
 *  TFCListMainWin: the main (drawing) window for terraformer. Extends
 * 	TFWindowBase to inherit the shared dialogs.
 */
class TFCListMainWin : public Gtk_CList
	{
	public: 
				TFCListMainWin (int nCols);
		virtual		~TFCListMainWin (); 

	public: 
		virtual void	menuCallback (string m);
		virtual gint 	button_press_event_impl (GdkEventButton *e);
		virtual void 	buildMenu ();

		Gtk_ItemFactory 	*p_itemFactory;
		Gtk_ObjectHandle<Gtk_Menu>	d_menuHandle;
		int			d_rowClicked,
					d_colClicked;
	};


#endif // _TF_CLIST_MAIN_WIN_H

