/* Terraform - (C) 1997-2000 Robert Gasch (r.gasch@chello.nl)
 *  - http://212.187.12.197/RNG/terraform/
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef _TF_DIALOG_CONTOUR_LINES_H
#define _TF_DIALOG_CONTOUR_LINES_H 1


#include "TFBaseDialog.h"


/*
 *  TFDialogContourLines: display the rescale dialog 
 */
class TFDialogContourLines : public TFBaseDialog
	{
	public: 
				TFDialogContourLines (HeightField *HF, HeightFieldDraw *HFD);
				~TFDialogContourLines (); 
		void		buildDialogWindow ();
		void 		buttonCallbackApply ();
		void		checkboxCallback ();

	private:
		void		fillVBox ();

		Gtk_HBox		d_hbFilename, d_hbNLevels, d_hbEpsilon, 
					d_hbSquareSize, d_hbExportToFile;	
		Gtk_Label		d_lblFilename, d_lblNLevels, d_lblEpsilon,
					d_lblSquareSize, d_lblExportToFile;
		Gtk_Adjustment		d_adjNLevels, d_adjEpsilon, d_adjSquareSize;
		Gtk_HScale		d_hsNLevels, d_hsEpsilon, d_hsSquareSize;
		Gtk_Entry		d_enFilename;
		Gtk_HSeparator		d_sepMain;
		Gtk_CheckButton		d_cbExportToFile;
	};


#endif // _TF_DIALOG_ROTATE_H
