/* Terraform - (C) 1997-2000 Robert Gasch (r.gasch@chello.nl)
 *  - http://212.187.12.197/RNG/terraform/
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef _TF_FILE_RC
#define _TF_FILE_RC 1


#include <stdio.h>
#include "FileIO.h"
#include "GlobalDefs.h"
#include "TFOptionsTable.h"


/*
 *  TFFileRC: class to handle some high level file operations
 */
class TFFileRC : public FileIO
	{
	public:
				TFFileRC (const char *fName, TFOptionsTable *optTbl);
				~TFFileRC ();
		void		writeRCFile (TFOptionsTable *optTbl);
		TFOptionsTable	*parseRCFile ();
		int		parseOption (char *buf);

	protected:
		int			d_items, d_lines;
		TFOptionsTable		*p_optionsTable;
	};


#endif // _TF_FILE_RC

