/* Terraform - (C) 1997-2000 Robert Gasch (r.gasch@chello.nl)
 *  - http://212.187.12.197/RNG/terraform/
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef _GLIB_TF_GLIST_FLEXARR_H
#define _GLIB_TF_GLIST_FLEXARR_H

#include "glib--glist.h"
#include "flexarray.h"


/*
 *  TFGListFlexArr: provide a built in destructor for 
 */
class TFGListFlexArr : public Glib_GList
	{
	protected:
		virtual void		clearList ();
	};


inline void TFGListFlexArr::clearList ()
{
	if (!p_list)
		return;

	int		i, lim = this->length();
	FlexArray	*fa;

	for (i=0; i<lim; i++)
		{
		fa = static_cast<FlexArray*>(this->first());
		this->remove (fa);
		delete fa;
		}
}


#endif // _GLIB_TF_GLIST_FLEXARR_H
